#!/bin/bash
set -euo pipefail

echo 'change dir' | ts
cd {{ local_backup_dir }}

echo 'backup all databases' | ts
{% for item in pgsql_db_names.databases %}
sudo -u postgres pg_dump -Fc {{ item }} -f {{ local_backup_dir }}/{{ inventory_hostname_short }}_{{ item }}.dump | ts
{% endfor %}

echo 'backup globals' | ts
sudo -u postgres pg_dumpall --globals-only --file {{ local_backup_dir }}/{{ inventory_hostname_short }}_globals.sql | ts
